﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading.Tasks;
using TFM.Model;
using Xamarin.Forms;

namespace TFM
{
	public class AlarmViewModel : INotifyPropertyChanged
	{
		
		public event PropertyChangedEventHandler PropertyChanged;

		private string name;
		private string details;

		public string Name
		{
			set
			{
				if (this.name != value)
				{
					this.name = value;
					OnPropertyChanged("Name");
				}
			}
			get
			{
				return this.name;
			}
		}

		public string Details
		{
			set
			{
				if (this.details != value)
				{
					this.details = value;
					OnPropertyChanged("Details");
				}
			}
			get
			{
				return this.details;
			}
		}

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}