﻿using System;
using System.Threading.Tasks;

namespace TFM.Bluetooth
{
	public interface IBluetoothManager
    {
        /// <summary>
        /// Try to stablish connection with the inverter
        /// </summary>
        /// <returns>The connect.</returns>
        Task<bool> Connect();

        /// <summary>
        /// Transfers the data to the inverter.
        /// </summary>
        /// <returns>The data.</returns>
        /// <param name="dataToSend">Data to send.</param>
        Task<byte[]> TransferData(byte[] dataToSend);

        /// <summary>
        /// Saves the xdocument file.
        /// </summary>
        /// <returns><c>true</c>, if file was saved, <c>false</c> otherwise.</returns>
        /// <param name="xDoc">X document.</param>
        bool SaveFile(string xDoc);

        /// <summary>
        /// Gets the file in string format.
        /// </summary>
        /// <returns>The file.</returns>
        string GetFile();
	}
}
