﻿using System;
using System.Threading.Tasks;
using TFM.Model;

namespace TFM.Bluetooth
{
    public interface IInverterConnectionManager
    {
        Task<string> GetModel();

        Task<bool> ReadParameterValue(Parameter parameter);

        Task<bool> WriteParameterValue(Parameter parameter);

        void ReadMonitorParameterValue(MonitorParameter monitorParameter);

        Task<int> ReadAlarm();

        void ClearAlarm();

        void Run();

        void Stop();

        void Initialize();

        void Copy();

        void Apply();

        Task<bool> ReadInformation(Information information); 
    }
}
