﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using TFM.Bluetooth;
using TFM.Model;
using Xamarin.Forms;

namespace TFM
{
    public partial class InformationPage : ContentPage
    {
        private IList<Information> informationList;
        IInverterConnectionManager manager = new InverterConnectionManager();

        public InformationPage()
        {
			this.InitializeView();
			InitializeComponent();
            this.ReadInformation();
		}

		private void InitializeView()
		{
            IEnumerable<Information> informations = InverterModelFactory.Instance.GetInformations();
			informationList = informations.ToList();


            ObservableCollection<InformationViewModel> informationViewModels = new ObservableCollection<InformationViewModel>();

            foreach (Information information in informationList)
			{
                InformationViewModel informationViewModel = new InformationViewModel(information);
				informationViewModels.Add(informationViewModel);
			}

            InformationListViewModel informationListViewModel = new InformationListViewModel();
            informationListViewModel.InformationViewModels = informationViewModels;

			this.BindingContext = informationListViewModel;
		}

        private async void ReadInformation()
        {
            foreach (var information in informationList)
            {
                bool error = await this.manager.ReadInformation(information);
            }
        }
    }
}
