﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Threading.Tasks;
using TFM.Model;
using Xamarin.Forms;

namespace TFM
{
    public class InformationViewModel : INotifyPropertyChanged
	{
		private readonly Information model;

		public InformationViewModel(Information parameter)
		{
			this.model = parameter;
			this.model.PropertyChanged += this.OnModelPropertyChanged;
		}
		public event PropertyChangedEventHandler PropertyChanged;

        public string InformationName
		{
			get
			{
				return model.Name;
			}
		}

        public string InformationValue
		{
			set
			{
				if (this.model.Value != value)
				{
					this.model.Value = value;
					OnPropertyChanged("InformationValue");
				}
			}
			get
			{
				return this.model.Value;
			}
		}

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}

		// When property gets changed in the Model, raise the PropertyChanged 
		// event of the ViewModel copy of the property
		private void OnModelPropertyChanged(object sender, PropertyChangedEventArgs e)
		{
			if (e.PropertyName == "Value")
			{
				OnPropertyChanged("ParameterValue");
			}
		}
	}
}