﻿using System;
using System.ComponentModel;
namespace TFM
{
	public class MonitorParameter : INotifyPropertyChanged
	{
		private int? value;

		public string Index { get; set; }

		public string Subindex { get; set; }

		public string Unit { get; set; }

		public string Name { get; set; }

		public string Description { get; set; }

		public int? Value
		{
			get
			{
				return this.value;
			}

			set
			{
				if (value != this.value)
				{
					this.value = value;
					OnPropertyChanged("Value");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
