﻿using System;
using System.ComponentModel;

namespace TFM.Model
{
	public class Parameter: INotifyPropertyChanged
	{
        int? value;

		public string Index { get; set; }

		public string Subindex { get; set; }

		public int Min { get; set; }

		public int Max { get; set; }

		public int Default { get; set; }

		public string Unit { get; set; }

		public string Name { get; set; }

		public string Description { get; set; }

		public string Help { get; set; }

		public int? Value
        {
            set
            {
                if (this.value != value)
                {
                    this.value = value;
                    OnPropertyChanged("Value");
                }
            }
            get
            {
                return this.value;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}
    }
}
