﻿using System;
using Xamarin.Forms;

namespace TFM
{
	public class ParameterEntryRangeValidator : Behavior<Entry>
	{
		public ParameterEntryRangeValidator(int max, int min)
		{
			this.Max = max;
			this.Min = min;
		}

		public int Max { get; set; }

		public int Min { get; set; }

		protected override void OnAttachedTo(Entry bindable)
		{
			base.OnAttachedTo(bindable);
			bindable.TextChanged += OnEntryTextChanged;
		}

		protected override void OnDetachingFrom(Entry bindable)
		{
			base.OnDetachingFrom(bindable);
			bindable.TextChanged -= OnEntryTextChanged;
		}

		void OnEntryTextChanged(object sender, TextChangedEventArgs e)
		{
			var entry = (Entry)sender;

			int value = 0;
			bool parsed = Int32.TryParse(entry.Text, out value);

			if (!parsed || value < this.Min)
			{
				entry.Text = Convert.ToString(this.Min);
			}
			else if (parsed && value > this.Max)
			{
				entry.Text = Convert.ToString(this.Max);
			}


			/*// if Entry text is longer then valid length
			if (entry.Text.Length > this.MaxLength)
			{
				string entryText = entry.Text;

				entryText = entryText.Remove(entryText.Length - 1); // remove last char

				entry.Text = entryText;
			}*/
		}
	}
}
