﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using TFM.Model;
using Xamarin.Forms;

namespace TFM
{
	public partial class ParameterListPage : ContentPage
	{
		public ParameterListPage()
		{
			InitializeView();
			InitializeComponent();
		}

		private async void InitializeView()
		{
			Task<IEnumerable<Parameter>> parametersTask = InverterModelFactory.Instance.GetParameters();
			IEnumerable<Parameter> parameterList = await parametersTask;

			ObservableCollection<ParameterViewModel> parameterViewModels = new ObservableCollection<ParameterViewModel>();

			foreach (Parameter parameter in parameterList)
			{
					ParameterViewModel parameterViewModel = new ParameterViewModel(parameter);
					parameterViewModels.Add(parameterViewModel);
			}

			ParameterListViewModel parameterListViewModel = new ParameterListViewModel();
			parameterListViewModel.ParameterViewModels = parameterViewModels;

            this.BindingContext = parameterListViewModel;
		}

		public async void OnItemTapped(object o, ItemTappedEventArgs e)
		{
			ParameterViewModel parameterViewModel = e.Item as ParameterViewModel;
			await Navigation.PushAsync(new ParameterPage (parameterViewModel));
			((ListView)o).SelectedItem = null; // de-select the row
		}
	}
}
