﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TFM
{
	public class ParameterListViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		public bool isVisible;


		public ObservableCollection<ParameterViewModel> ParameterViewModels
		{
			get; set;
		}

		public bool IsVisible
		{
			set
			{
				if (isVisible != value)
				{
					isVisible = value;
					OnPropertyChanged("IsVisible");
				}
			}
			get
			{
				return isVisible;
			}
		}

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}