﻿using System;
using System.Collections.Generic;
using TFM.Bluetooth;
using Xamarin.Forms;

namespace TFM
{
	public partial class ParameterPage : ContentPage
	{
        IInverterConnectionManager manager = new InverterConnectionManager();
        ParameterViewModel parameterViewModel;

		public ParameterPage(ParameterViewModel parameterViewModel)
		{
            this.parameterViewModel = parameterViewModel;
			this.BindingContext = parameterViewModel;
			InitializeComponent();
			this.ValueEntry.Behaviors.Add(new ParameterEntryRangeValidator(parameterViewModel.ParameterMax, parameterViewModel.ParameterMin));
		}

        private void OnRead(object sender, EventArgs e)
        {
            this.parameterViewModel.IsIndicatorVisible = true;
            manager.ReadParameterValue(this.parameterViewModel.Model);
            this.parameterViewModel.isIndicatorVisible = false;
        }

		private void OnWrite(object sender, EventArgs e)
		{
            this.parameterViewModel.IsIndicatorVisible = true;
            manager.WriteParameterValue(this.parameterViewModel.Model);
            this.parameterViewModel.isIndicatorVisible = false;
		}
	}
}
